Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class TextParameter

    java.lang.Object
      jet.bean.TextParameter

All Implemented Interfaces:
  java.io.Serializable

    public class TextParameter

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`TextParameter()`

Method Summary
`TextParameter` | `copy()` add this method for MailInformation can clone this object
`char` | `getDelimiter()` get the delimiter
`int` | `getResolution()` get the resolution
`int` | `getUDCHHeight()` get the user defined char height
`int` | `getUDCHWidth()` get the user defined char width
`boolean` | `isCompress()` get the flag that index whether comprss when export to text, the default value is false
`boolean` | `IsForMail()` get the flag whether produce the file for mail body
`boolean` | `isForWinExport()` get the flag that index whether export to windows system or not
`boolean` | `isHasHeadFoot()` get the flag that index whether include the header and footer when export to text
`boolean` | `isNormalTextFile()` get the flag that index whether export to normal text or not
`boolean` | `isRepeat()` get the flag that index whether reapeat above line content if the column content is null
`boolean` | `isUseDelimiter()` use the delimiter to delimt each column
`boolean` | `isUseQuoteMark()` get use quote mark flag
`void` | `setCompress(boolean isCompress)` set the flag that index whether compress when export to text, the default value is false
`void` | `setDelimiter(char delimiter)` set the delimiter, when export to SDF file need it, if the delimiter is null, please do not invoke it
`void` | `setForMail(boolean forMail)` set the flag whether produce the text file for email body
`void` | `setForWinExport(boolean forWin)` set the flag that index whether export to windows system or not, the defalut is for windows system
`void` | `setHasHeadFoot(boolean hasHeadFoot)` set the flag that index whether include the header and footer when export to text default value is true
`void` | `setNormalTextFile(boolean isNormalText)` set the flag that index whether export to normal text or not, the default value is true
`void` | `setRepeat(boolean isRepeat)` set the flag that index whether reapeat above line content if the column content is null
`void` | `setResolution(int resolution)` set the resolution when export to text, may be 96 or 72 etc.
`void` | `setUDCHHeight(int udchHeight)` set the user defined char height
`void` | `setUDCHWidth(int udchWidth)` set the user defined char width
`void` | `setUseQuoteMark(boolean useQuoteMark)` set the falg that index whether use quote mark or not

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextParameter

    public TextParameter()

Method Detail

### setNormalTextFile

    public void setNormalTextFile(boolean isNormalText)

  set the flag that index whether export to normal text or not, the default value is true

  Parameters:
    `isNormalText` - the flag whether it is normal format text or not

### isNormalTextFile

    public boolean isNormalTextFile()

  get the flag that index whether export to normal text or not

  Returns:
    true indicate that export to normal text file

### setHasHeadFoot

    public void setHasHeadFoot(boolean hasHeadFoot)

  set the flag that index whether include the header and footer when export to text default value is true

  Parameters:
    `hasHeadFoot` - the flag whether export the header and footer to file or not

### isHasHeadFoot

    public boolean isHasHeadFoot()

  get the flag that index whether include the header and footer when export to text

  Returns:
    true when export the header and footer to text file

### setCompress

    public void setCompress(boolean isCompress)

  set the flag that index whether compress when export to text, the default value is false

  Parameters:
    `isCompress` - the flag whether compress or not Notice: the compress processor does not work gratifying, so strongly advise set the flag as false

### isCompress

    public boolean isCompress()

  get the flag that index whether comprss when export to text, the default value is false

  Returns:
    true when compress blank line

### setResolution

    public void setResolution(int resolution)

  set the resolution when export to text, may be 96 or 72 etc.

  Parameters:
    `resolution` - the resolution to convert the Unit to pixel

### getResolution

    public int getResolution()

  get the resolution

  Returns:
    the resolution exporting to text file used

### setForWinExport

    public void setForWinExport(boolean forWin)

  set the flag that index whether export to windows system or not, the defalut is for windows system

  Parameters:
    `forWin` - the flag whether export to the windows system result or not

### isForWinExport

    public boolean isForWinExport()

  get the flag that index whether export to windows system or not

  Returns:
    true when export the text file as windows format text file

### setDelimiter

    public void setDelimiter(char delimiter)

  set the delimiter, when export to SDF file need it, if the delimiter is null, please do not invoke it

  Parameters:
    `delimiter` - the delimiter of each data for Delimiter format text file Notice: only for SDF text export

### isUseDelimiter

    public boolean isUseDelimiter()

  use the delimiter to delimt each column

  Returns:
    true if the user has set the delimiter value

### getDelimiter

    public char getDelimiter()

  get the delimiter

  Returns:
    the delimiter that separate each element

### setRepeat

    public void setRepeat(boolean isRepeat)

  set the flag that index whether reapeat above line content if the column content is null

  Parameters:
    `isRepeat` - the flag whether reapeat above line content if the column content is null Notice: only for SDF file

### isRepeat

    public boolean isRepeat()

  get the flag that index whether reapeat above line content if the column content is null

  Returns:
    true if repeat aboved element when it is null

### setForMail

    public void setForMail(boolean forMail)

  set the flag whether produce the text file for email body

  Parameters:
    `forMail` - the flag whether the result is for mail body or not

### IsForMail

    public boolean IsForMail()

  get the flag whether produce the file for mail body

  Returns:
    true for mail body

### setUseQuoteMark

    public void setUseQuoteMark(boolean useQuoteMark)

  set the falg that index whether use quote mark or not

  Parameters:
    `useQuoteMark` - the flag whether use the quote mark for data or not Notice: only for SDF text file export

### isUseQuoteMark

    public boolean isUseQuoteMark()

  get use quote mark flag

  Returns:
    true each element will be quoted by quotemark when export to text

### setUDCHWidth

    public void setUDCHWidth(int udchWidth)

  set the user defined char width

  Parameters:
    `udchWidth` - the user defined char width Notice: if the udchHeight also bigger than zero, the width value must less 11, otherwise the value will cann't has any affect Notice: only for export normal text file

### getUDCHWidth

    public int getUDCHWidth()

  get the user defined char width

  Returns:
    the user defined character width

### setUDCHHeight

    public void setUDCHHeight(int udchHeight)

  set the user defined char height

  Parameters:
    `udchHeight` - the user defined char height Notice: only for export normal text file

### getUDCHHeight

    public int getUDCHHeight()

  get the user defined char height

  Returns:
    user defined character height

### copy

    public TextParameter copy()

  add this method for MailInformation can clone this object

  Returns:
    TextParameter clone this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD